package
{
	import flash.geom.Point;
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Spritemap;
	import net.flashpunk.utils.Draw;
	
	// gamer is a classs fo a game entity, controlled either
	// by local player, remote player or AI or nothing
	public class Bullet extends Entity
	{
	
		public var vx:Number = 0;
		public var vy:Number = 0;
		public var delay:uint= 10;
		public function Bullet(x:Number,y:Number,vx:Number)
		{
			//angle-= 90;
			this.x = x;
			this.y = y;
			this.vx = vx * 24;
			
			this.x += vx;
			this.y += vy;
		}

		
		override public function update():void
		{
			x += vx;
			y += vy;
			if (!onscreen && delay) delay--; 
			
			if (!delay) FP.world.remove(this);
			
			if (collide("level", x, y))
			{
				FP.world.remove(this);
				FP.world.add(new Gunspark(x, y, 1));
				
			}
			super.update();
		}
		
		override public function render():void
		{
			var dx:Number = 8;
			var dy:Number = 0;
			//Draw.linePlus(x-dx+vx, y-dy+vy, x - vx-dx, y - vy-dy, 0xffff0000, 1, 5);
			Draw.linePlus(x+dx, y+dy, x - dx, y - dy, 0xffffff80, 1, 3);
			Draw.linePlus(x+dx, y+dy, x - dx, y - dy, 0xffffffff, 1, 1);
			
			//super.update();
		}
		
	}
}