package
{
	import flash.geom.Point;
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Spritemap;
	
	// gamer is a classs fo a game entity, controlled either
	// by local player, remote player or AI or nothing
	public class Force extends Enemy
	{
		
		public function Force(x:uint, y:uint)
		{
			super(x, y);
			spr.play("force");
		}

		override public function setup():void
		{
			var dir:uint = get_dir();
			var dist:uint = 1;
			var d:uint = 0;
			var x2:Number = x;
			var y2:Number = y;
			if (dir & N) 
			{
				for (var c:uint = 0; c < 10; c++)
				{
					var e:Entity = collide("enemy", x, y - c * Q.map.th);
					if (e is Force)
					{
						target_angle = angle_n;
						y -= 8;
						//trace("north!");
						dist = c;
						d = Energy.V;
						x2 = e.x;
						y2 = e.y;
						break;
					}
				}
			}
			if (dir & S) 
			{
				for (var c:uint = 0; c < 10; c++)
				{
					var e:Entity = collide("enemy", x, y + c * Q.map.th);
					if (e is Force)
					{
						target_angle = angle_s;
						y += 8;
						//trace("south!");
						dist = c;
						d = Energy.V;
						x2 = e.x;
						y2 = e.y;
						break;
					}
				}
			}
			
			if (dir & W) 
			{
				for (var c:uint = 0; c < 10; c++)
				{
					var e:Entity = collide("enemy", x - c * Q.map.tw,y);
					if (e is Force)
					{
						target_angle = angle_w;
						x -= 8;
						//trace("west!");
						dist = c;
						d = Energy.H;
						x2 = e.x;
						y2 = e.y;
						break;
					}
				}
			}
			
			if (dir & E) 
			{
				for (var c:uint = 0; c < 10; c++)
				{
					var e:Entity = collide("enemy", x + c * Q.map.tw,y);
					if (e is Force)
					{
						target_angle = angle_e;
						x += 8;
						//trace("east!");
						dist = c;
						d = Energy.H;
						x2 = e.x;
						y2 = e.y;
						break;
					}
				}
			}
			for (var c:uint = 0; c < 2; c++)
			{
				FP.world.add(new Energy(x, y,x2,y2,d,dist));
			}
			
			
		}
		
		override public function destroy():Boolean
		{
			return false;
		}
		
		public function kill():void
		{
			super.destroy();
		}
		override public function update():void
		{

			
			super.update();
		}
		
	}
}