package
{
	import flash.geom.Point;
	import net.flashpunk.Entity;
	import net.flashpunk.graphics.Image;
	import net.flashpunk.graphics.Spritemap;
	import net.flashpunk.graphics.Text;
	import net.flashpunk.World;
	import net.flashpunk.utils.Input;
	import net.flashpunk.utils.Key;
	import net.flashpunk.FP;
	public class Help extends World
	{
		[Embed(source='gfx/helps.png')]
		protected var TILES:Class;
		public var bg2:Image = FP.screen.capture();
		public var bg:Image = Image.createRect(320,256,0);
		public var help:Spritemap = new Spritemap(TILES, 320, 256);
		public var space:Text = new Text("Press SPACE");
		
		public var ehelp:Entity;
		public var eend:uint = 0;
		public var delay:uint = 20;
		public var id:uint;
		public function Help(id:uint)
		{
			this.id = id;
			addGraphic(bg2);
			addGraphic(bg);
			bg.alpha = 0;
			help.frame = id;
			ehelp = addGraphic(help, 0, 0, FP.height);
			addGraphic(space);
			space.alpha = 0;
			Main.play(0);
			
		}
		
		override public function update():void
		{
			if (delay) delay--;
			if (eend)
			{
				eend--;
				if (!eend) 
				{
					if (id == 6)
					{
						FP.world = new Levelworld();
					} else {
						FP.world = Q.level;
					}
				}
				bg.alpha = FP.lerp(bg.alpha, 0, .15);
				ehelp.y = FP.lerp(ehelp.y, FP.height*2, .15);
				space.y = FP.lerp(space.y, -100, .15);
			} else {
				bg.alpha = FP.lerp(bg.alpha, .7, .1);
				ehelp.y = FP.lerp(ehelp.y, 0, .1);
			}
			if (Input.pressed(Key.SPACE) && !delay) 
			{
				if (id > 6)
				{
					if (id == 12)
					{
						FP.world = new Levelworld;
					} else if (id == 23)
					{
						Q.computer.disarm = true;
						FP.world = Q.level;
					} else if (id == 23)
					{
						Q.computer.disarm = true;
						FP.world = Q.level;
					} else if (id == 29)
					{
						FP.world = new Help(40);
					} else if (id == 39)
					{
						FP.world = new Help(40);
					}else if (id == 39)
					{
						FP.world = new Help(40);
					}else if (id == 41)
					{
						FP.world = new Help(7);
					} else {
						FP.world = new Help(id + 1);
					}
				} else {
					eend = 20;
				}
			}
			if (!delay) space.alpha = FP.lerp(space.alpha, 1, .1);
			super.update();
			
		}
		
		override public function render():void
		{
			
			super.render();
		}
	}
}