package
{
	import flash.geom.Point;
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Spritemap;
	
	// gamer is a classs fo a game entity, controlled either
	// by local player, remote player or AI or nothing
	public class Laser extends Enemy
	{
		public var angles:Array = [];
		public var current_angle:uint;
		
		public function Laser(x:uint, y:uint)
		{
			super(x, y);
			spr.play("laser");
		}

		override public function setup():void
		{
			var dir:uint = get_dir();
			if (dir & N) angles.push(angle_n);
			if (dir & S) angles.push(angle_s);
			if (dir & W) angles.push(angle_w);
			if (dir & E) angles.push(angle_e);
			
		}
		
		override public function destroy():Boolean
		{
			return super.destroy();
		}
		override public function update():void
		{
			target_angle = angles[current_angle];
			if ((Q.timer & 0x1f) == 0x00)
			{
				current_angle++;
				current_angle = current_angle % angles.length;
			}
			if ((Q.timer & 0x1f) == 0x10)
			{
				FP.world.add(new Beam(x, y, target_angle));
			}
			
			
			super.update();
		}
		
	}
}