package
{
	import flash.geom.Point;
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Spritemap;
	
	// gamer is a classs fo a game entity, controlled either
	// by local player, remote player or AI or nothing
	public class Launcher extends Enemy
	{
		public var angles:Array = [];
		public var current_angle:uint;
		public var swap:uint = sswap;
		public static var sswap:uint = 0;
		public function Launcher(x:uint, y:uint)
		{
			sswap++;
			super(x, y);
			spr.play("grenade");
			hp = 3;
			
		}

		override public function setup():void
		{
			var dir:uint = get_dir();
			if (dir & N) angles.push(angle_n);
			if (dir & S) angles.push(angle_s);
			if (dir & W) angles.push(angle_w);
			if (dir & E) angles.push(angle_e);
			
		}
		
		override public function destroy():Boolean
		{
			return super.destroy();
		}
		override public function update():void
		{
			target_angle = angles[current_angle];
			if ((Q.timer & 0x1f) == 0x00)
			{
				current_angle++;
				current_angle = current_angle % angles.length;
			}
			if ((Q.timer & 0x1f) == 0x10)
			{
				if (target_angle == angle_e)
				{
					FP.world.add(new Grenade(x + 16, y, 8, 0));
					Puff.multi(5, x + 16, y, 1, 1);
				}
				
				if (target_angle == angle_w)
				{
					FP.world.add(new Grenade(x - 16, y, -8, 0));
					Puff.multi(5, x - 16, y, 1, 1);
				}
				
				if (target_angle == angle_n)
				{
					FP.world.add(new Grenade(x, y - 16, (swap & 1) ? 8 : -8, -12));
					Puff.multi(5, x, y-16, 1, 1);
					swap++;
				}
				if (target_angle == angle_s)
				{
					FP.world.add(new Grenade(x, y + 16, (swap & 1) ? 3 : -3, 6));
					Puff.multi(5, x, y+16, 1, 1);
					swap++;
				}
				
				
				
			}
			super.update();
		}
		
	}
}