package
{
	import flash.geom.Point;
	import net.flashpunk.graphics.Image;
	import net.flashpunk.World;
	import net.flashpunk.utils.Input;
	import net.flashpunk.utils.Key;
	import net.flashpunk.FP;
	public class Levelworld extends World
	{
		[Embed(source='gfx/tiles2.png')]
		protected var TILES:Class;
		
		[Embed(source='gfx/bg.png')]
		protected var BG:Class;
		public var bg:Image = new Image(BG);
		public var bx:Number = 0;
		public var by:Number = 0;
		[Embed(source = 'gfx/map.bin', mimeType = "application/octet-stream")]
		protected var MAP:Class;
		public var begun:Boolean = false;
		public var help_delay:uint = 20;
		public var gameover:uint = 0;
		public function Levelworld()
		{
			// oh lookie, nothing here :P
			Q.level = this;
		}
		
		override public function begin():void
		{
			Main.play(1);
			if (begun) return;
			begun = true;
			// creating the world: 
			// a 64x64 tiles map
			var map:DynamicTilemap = new DynamicTilemap(80, 32);
			
			// loading gfx and map, each tile is 32x32 pixels
			map.load(TILES, MAP, 32, 32);
			
			// adding the map to the world
			add(map);
			
		}
		
		override public function update():void
		{
			if (gameover)
			{
				gameover--;
				if (!gameover)
				{
					FP.world = new Help(6);
				}
			}
			if (help_delay)
			{
				help_delay--;
				if (!help_delay)
				{
					FP.world = new Help(4);
				}
			}
			// nothing here aswell :)
			super.update();
			bx += .5;
			by += .25;
			bx = bx % 64;
			by = by % 64;
			Q.timer++;
		}
		
		override public function render():void
		{
			// nothing here aswell :)
			for (var x:Number = -bx; x < FP.width; x += 64)
			{
				for (var y:Number = -by; y < FP.height; y += 64)
				{
					bg.render(FP.buffer, new Point(x, y), new Point);
				}
			}
			super.render();
		}
	}
}