package
{
	import flash.geom.Point;
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Spritemap;
	
	// gamer is a classs fo a game entity, controlled either
	// by local player, remote player or AI or nothing
	public class Puff extends Entity
	{
		[Embed(source = "gfx/puffs.png")]
		public var PUFF:Class;
		public var img:Spritemap = new Spritemap(PUFF, 32, 32);
		public var vx:Number = 0;
		public var vy:Number = 0;
		public var vs:Number = .02+Math.random()*.1;
		
		public function Puff(x:Number, y:Number, vx:Number = 1, vy:Number = 1 )
		{
			// create yourt entity here (look at player class)
			// make sure to alter the properties too (speed, etc)
			this.x = x;
			this.y = y;
			var a:Number = Math.random() * Math.PI * 2;
			this.vx = Math.cos(a)*vx;
			this.vy *= Math.sin(a) * vy;
			graphic = img;
			img.frame = FP.rand(3);
			img.centerOrigin();
			layer = -2;
			
		}

		public static function multi(num:uint, x:Number, y:Number, vx:Number = 1, vy:Number = 1):void
		{
			for (var c:uint = 0; c < num; c++)
			{
				FP.world.add(new Puff(x, y, vx, vy));
			};
		}
		override public function update():void
		{
			img.scale-= vs;
			if (img.scale <= 0) FP.world.remove(this);
			x += vx;
			y += vy;
		}
		
	}
}