package
{
	import flash.geom.Point;
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Spritemap;
	import net.flashpunk.utils.Draw;
	
	// gamer is a classs fo a game entity, controlled either
	// by local player, remote player or AI or nothing
	public class Beam extends Entity
	{
	
		public var vx:Number = 0;
		public var vy:Number = 0;
		public var immune:uint = 5;
		public function Beam(x:Number,y:Number,angle:Number)
		{
			angle-= 90;
			this.x = x;
			this.y = y;
			vx = -Math.cos(angle * FP.RAD)*8;
			vy = -Math.sin(angle * FP.RAD) * 8;
			
			this.x += vx;
			this.y += vy;
			setHitbox(8, 2, 4, 1);
		}

		
		override public function update():void
		{
			x += vx;
			y += vy;
			if (immune) immune--;
			if (!onscreen) FP.world.remove(this);
			if (collide("player", x, y))
			{
				FP.world.add(new Gunspark(x, y, 1,false));
				Q.player.punch(1);
				FP.world.remove(this);
			}
			
			if (collide("level", x, y) && !immune)
			{
				FP.world.add(new Gunspark(x, y, 1));
				//Q.player.punch(1);
				FP.world.remove(this);
			}
			super.update();
		}
		
		override public function render():void
		{
			var dx:Number = 0;
			var dy:Number = 0;
			if (Math.abs(vx)>Math.abs(vy))
			{
				dx = 0;
				dy = -.5;
			} else {
				dx = -.5;
				dy = 0;
			}
			Draw.linePlus(x-dx+vx, y-dy+vy, x - vx-dx, y - vy-dy, 0xffff0000, 1, 5);
			Draw.linePlus(x+vx, y+vy, x - vx, y - vy, 0xfffec912, 1, 3);
			Draw.linePlus(x+vx, y+vy, x - vx, y - vy, 0xffffffff, 1, 1);
			
			//super.update();
		}
		
	}
}