package
{
	import flash.geom.Point;
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Spritemap;
	import net.flashpunk.graphics.Text;
	import net.flashpunk.utils.Draw;
	
	// gamer is a classs fo a game entity, controlled either
	// by local player, remote player or AI or nothing
	public class Computer extends Entity
	{
	
		[Embed(source = "gfx/Computer.png")]
		public var GFX:Class;
		public var spr:Spritemap = new Spritemap(GFX, 128, 64);
		public var bomb:Boolean = false;
		public var timeout:int = 30 * 90;
		public var timetext:Text = new Text("");
		public var disarm:Boolean = false;
		public function Computer(x:Number,y:Number)
		{

			this.x = x;
			this.y = y;
			spr.add("play", [0, 1], 5);
			spr.add("bomb", [2,3],15);
			spr.play("play");
			spr.centerOrigin();
			graphic = spr;
			//spr.scale = scale;
			setHitbox(128,64,64,32);
			layer = -1;
			Q.computer = this;
		}

		
		
		override public function update():void
		{
			
			if (collide("player", x, y) && !bomb )
			{
				spr.play("bomb");
				bomb = true;
				var a:Array = [];
				FP.world.getClass(Force, a);
				for each (var f:Force in a) f.kill();
				FP.world = new Help(5);
			}
			
			if (collide("player", x, y) && disarm )
			{
				FP.world = new Help(24);
			}
			
			if (bomb)
			{
				
				if (timeout) timeout--;
				else {
					FP.world = new Help(6);
				}
			}
			
			
			super.update();
		}
		
		override public function render():void
		{
			
			super.render();
			if (bomb)
			{
				timetext.outlineStrength = 3;
				timetext.color = 0xffff80;
				if (timeout < 10 * 30) timetext.color = 0xff0000;
				var txt:String;
				var min:uint = Math.floor(timeout / 1800);
				var sec:uint = Math.floor(timeout / 30)%60;
				var msec:uint = timeout % 30;
				msec *= 1000;
				msec /= 30;
				txt	= 	(min ?(min < 10 ? "0" + min : min) : "00") + ":" + 
						(sec ?(sec < 10 ? "0" + sec: sec) : "00") + "." +
						(msec ?(msec < 10 ? "00" + msec: (msec < 100 ? "0" + msec : msec)) : "000")
				timetext.text = txt;
				timetext.render(FP.buffer, new Point, new Point);
			}
		}
		
	}
}