package
{
	import flash.geom.Point;
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Spritemap;
	import net.flashpunk.utils.Draw;
	
	// gamer is a classs fo a game entity, controlled either
	// by local player, remote player or AI or nothing
	public class Gunspark extends Entity
	{
	
		[Embed(source = "gfx/boom.png")]
		public var GFX:Class;
		public var spr:Spritemap = new Spritemap(GFX, 64, 64, end);
		public var scale:Number = 1;
		public var friendly:Boolean = true;
		public function Gunspark(x:Number,y:Number,scale:Number,friendly:Boolean = true)
		{
			this.friendly = friendly;
			this.scale = scale;
			this.x = x;
			this.y = y;
			spr.add("play", [0, 1, 2, 3, 4, 5, 6, 7, 8],30,false);
			spr.play("play");
			spr.centerOrigin();
			graphic = spr;
			spr.scale = scale;
			setHitbox(10 * scale, 10 * scale, 5 * scale, 5 * scale);
			layer = -2;
		}

		public function end():void
		{
			FP.world.remove(this);
		}
		
		override public function update():void
		{
			
			var e:Enemy = collide("enemy", x, y) as Enemy;
			
			if (e && friendly)
			{
				e.destroy();
				
			}
			
			super.update();
		}
		
		override public function render():void
		{
			
			super.render();
		}
		
	}
}