package
{

	import net.flashpunk.Engine;
	import net.flashpunk.FP;
	import net.flashpunk.Sfx;
	
	public class Main extends Engine
	{
		[Embed(source = "snd/spy1.mp3")]
		public static var mp1:Class;
		
		[Embed(source = "snd/spy2.mp3")]
		public static var mp2:Class;
		
		public static var song1:Sfx = new Sfx(mp1);
		public static var song2:Sfx = new Sfx(mp2);
		
		public static function play(id:uint)
		{
			if (id == 0) 
			{
				if (song1.playing) return;
				song1.loop();
				song2.stop();
			}
			
			if (id == 1) 
			{
				if (song2.playing) return;
				song1.stop();
				song2.loop();
			}
		}
		public function Main()
		{
			
			// we're running FlashPunk
			super(320, 256, 30, false);
			
			// creating the world
			FP.world = new Help(41);
			
			// enabling console for degug stuff
			
			
			// setting bg colour
			FP.screen.color = 0x4dbcfd;
			
			FP.screen.scale = 2;
			
			//FP.console.enable();

		}
		
		override public function init():void
		{
			addChild(new Sndbtn);
		}
	}
}