package
{
	import flash.geom.Point;
	import net.flashpunk.graphics.Image;
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.utils.Input;
	import net.flashpunk.utils.Key;
	import net.flashpunk.graphics.Spritemap;
	
	// gamer is a classs fo a game entity, controlled either
	// by local player, remote player or AI or nothing
	public class Player extends Gamer
	{
		[Embed(source='gfx/spy.png')]
		protected var TILES:Class;
		
		[Embed(source='gfx/hp.png')]
		protected var TILES2:Class;
		
		public var bar:Spritemap = new Spritemap(TILES2, 8,8);
		
		public function Player(x:Number,y:Number)
		{
			spr =  new Spritemap(TILES, 64, 64);
			graphic = spr;
			spr.centerOrigin();
			setHitbox(24,48,12,16);
			spr.add("idle", [0, 1, 2, 3], 5);
			spr.add("run", [ 5, 6, 7, 8, 9, 10, 11, 12, 13, 14], 15);
			spr.add("jump", [16], 5);
			spr.add("fall", [17], 5);
			spr.add("stomp", [18], 5);
			spr.add("slide", [15], 5);
			spr.add("slideback", [43], 5);
			spr.add("wallslide", [19], 5);
			spr.add("hang", [20], 5);
			spr.add("climb", [21], 5);
			spr.add("duck", [21], 5);
			spr.add("glide", [22], 5);
			
			spr.add("idle_shoot", [23], 5);
			spr.add("run_shoot", [24,25,26,27,28,29,30,31,32,33], 15);
			spr.add("jump_shoot", [36], 5);
			spr.add("fall_shoot", [37], 5);
			spr.add("stomp_shoot", [38], 5);
			spr.add("slide_shoot", [34], 5);
			spr.add("slideback_shoot", [35], 5);
			spr.add("wallslide_shoot", [39], 5);
			spr.add("hang_shoot", [40], 5);
			spr.add("climb_shoot", [41], 5);
			spr.add("duck_shoot", [41], 5);
			spr.add("glide_shoot", [42], 5);
			
			spr.add("hit", [44], 5);
			
			spr.play("idle");
			super(x, y);
			layer = -1;
			Q.player = this;
			type = "player";
		}

		override public function input():uint 
		{
			var ret:uint = 0;
			if (hit) return 0;
			if (Input.check(Key.UP)) ret|=UP;
			if (Input.check(Key.DOWN)) ret|=DOWN;
			if (Input.check(Key.LEFT)) ret |= LEFT;
			if (Input.check(Key.RIGHT)) ret |= RIGHT;
			if (Input.pressed(Key.Z) ||
				Input.pressed(Key.W) ||
				Input.pressed(Key.Y) ||
				Input.pressed(Key.SPACE)) ret |= JUMP;
			if (Input.check(Key.Z)) ret|=MULTIJUMP;
			return ret;
		}
		
		override public function update():void
		{
			super.update();
			if (Input.pressed(Key.U))
			{
				can_climb = true;
				can_shoot = true;
				can_throw = true;
				can_walljump = true;
			}
			//FP.camera.x = FP.lerp(FP.camera.x,Math.floor((x)/320)*320,.25);
			//FP.camera.y = FP.lerp(FP.camera.y, Math.floor((y) / 256) * 256, .25);
			if (x < 0) 
			{
				x = 100;
				y = 100;
				vx = 0;
				vy = 0;
				if (Q.computer.disarm)
				{
					FP.world = new Help(30);
				} else if (Q.computer.bomb)
				{
					FP.world = new Help(14);
				}
			}
			FP.camera.x = Math.floor((x)/320)*320
			FP.camera.y = Math.floor((y) / 256) * 256
			if (spr.frame == 10 || spr.frame == 5)
			{
				//FP.world.add(new Puff(x + 16, y + 32));
			}
			
			if (spr.frame == 15 || spr.frame == 35 || spr.frame == 43)
			{
				if (spr.flipped) FP.world.add(new Puff(x - 16, y + 32));
				else FP.world.add(new Puff(x + 16, y + 32));
				
			}
			
			if (spr.frame == 19 || spr.frame == 39)
			{
				if (spr.flipped) FP.world.add(new Puff(x - 16, y -32));
				else FP.world.add(new Puff(x + 16, y -32));
				
			}
			
			if (spr.frame == 22 || spr.frame == 42)
			{
				if (spr.flipped) FP.world.add(new Puff(x + 16, y +20));
				else FP.world.add(new Puff(x - 16, y +20));
				
			}
			//hp = 5;
			
			
		}
		
		override public function render():void
		{
			super.render();
			for (var c:uint = 0; c < max_hp; c++)
			{
				
				if (c >= hp) bar.frame = 0; else  bar.frame = 1;
				bar.render(FP.buffer, new Point(5, 100 - c * 8),new Point);
			}
			
		}
		
	}
}