package
{
	import flash.display.BlendMode;
	import flash.geom.Point;
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Image;
	import net.flashpunk.graphics.Spritemap;
	import net.flashpunk.utils.Draw;
	
	// gamer is a classs fo a game entity, controlled either
	// by local player, remote player or AI or nothing
	public class Upgrade extends Entity
	{
	
		[Embed(source = "gfx/upgrades.png")]
		public var GFX:Class;
		
		[Embed(source = "gfx/lite.png")]
		public var GFX2:Class;
		public var spr:Spritemap = new Spritemap(GFX, 32, 32, end);
		public var lt:Image = new Image(GFX2);
		public var id:uint = 0;
		public var basey:Number;
		public var sintime:Number=0;
		public function Upgrade(x:Number,y:Number,id:uint)
		{
			this.id = id;
			this.x = x;
			this.y = y;
			basey = y;
			spr.centerOrigin();
			graphic = spr;
			lt.centerOrigin();
			lt.blend = BlendMode.ADD
			lt.scale = 2;
			setHitbox(32, 32, 16, 16);
			spr.frame = id;
			layer = -1;
		}

		public function end():void
		{
			FP.world.remove(this);
		}
		
		override public function update():void
		{
			sintime += .15;
			y = basey - (Math.sin(sintime) + 1)*8;
			
			
			if (collide("player", x, y))
			{
				FP.world.remove(this);
				if (id == 0) 
				{
					Q.player.can_shoot = true;
					FP.world = new Help(2);
				}
				if (id == 1) 
				{
					Q.player.can_throw = true;
					FP.world = new Help(3);
				}
				if (id == 2) 
				{
					Q.player.can_climb = true;
					FP.world = new Help(0);
				}
				if (id == 3) 
				{
					Q.player.can_walljump = true;
					FP.world = new Help(1);
				}
				
				if (id == 5) 
				{
					Q.player.hp = Q.player.max_hp;
					//FP.world = new Help(1);
				}
				
			}
			
			super.update();
		}
		
		override public function render():void
		{
			lt.render(FP.buffer, new Point(x, y), FP.camera);
			super.render();
		}
		
	}
}